Bug 395591 - SIGABORT from less 415
SIGABORT from less 415
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 07:27 EST by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 02:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core file when less crashed (464.00 KB, application/octet-stream)
2007-11-22 07:27 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2007-11-22 07:27:29 EST
Description of problem:
Sometimes less 415 aborts. I could not gain any useful
information from gdb..

Version-Release number of selected component (if applicable):
less-415-1.fc9

bash-3.2-19.fc9
glibc-2.7-2
ncurses-5.6-12.20070812.fc8
pcre-7.3-1

How reproducible:
100% on a certain case

Steps to Reproduce:
1. wget -N http://www.httrack.com/httrack-3.42.tar.gz
2. tar -xf httrack-3.42.tar.gz
3. cd httrack-3.42.1/
4. find . -type f | sort | xargs less
5. Continue to read files by pushing ' : -> n '
  
Actual results:
less aborts

Expected results:
less should not abort

Additional info:
less-409-2.fc9 does not seem to have this problem
Comment 1 Mamoru TASAKA 2007-11-22 07:27:29 EST
Created attachment 266781 [details]
core file when less crashed
Comment 2 Zdenek Prikryl 2007-11-23 02:41:39 EST
It seems, that this bug is related to UTF-8 coding in a file. It should be fixed
in the rawhide now.

Zdenek

Note You need to log in before you can comment on or make changes to this bug.